
package eu.dnetlib.dhp.oa.graph.dump.skgif.beans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import eu.dnetlib.dhp.skgif.model.MinGrant;
import eu.dnetlib.dhp.skgif.model.MinOrganization;
import eu.dnetlib.dhp.skgif.model.MinProduct;

/**
 * @author miriam.baglioni
 * @Date 16/02/24
 */
public class RelationPerProduct implements Serializable {

	private String resultId;
	private List<MinOrganization> organizations;
	private List<MinGrant> funding;
	private Map<String, List<MinProduct>> relatedProduct;

	public RelationPerProduct() {
		organizations = new ArrayList<>();
		funding = new ArrayList<>();
		relatedProduct = new HashMap<>();
	}

	public String getResultId() {
		return resultId;
	}

	public void setResultId(String resultId) {
		this.resultId = resultId;
	}

	public List<MinOrganization> getOrganizations() {
		return organizations;
	}

	public void setOrganizations(List<MinOrganization> organizations) {
		this.organizations = organizations;
	}

	public List<MinGrant> getFunding() {
		return funding;
	}

	public void setFunding(List<MinGrant> funding) {
		this.funding = funding;
	}

	public Map<String, List<MinProduct>> getRelatedProduct() {
		return relatedProduct;
	}

	public void setRelatedProduct(Map<String, List<MinProduct>> relatedProduct) {
		this.relatedProduct = relatedProduct;
	}
}
